Bug 190510 - ATI Xpress IDE controller not recognized
ATI Xpress IDE controller not recognized
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 23:41 EDT by Joe Pruett
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: U4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 13:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Pruett 2006-05-02 23:41:25 EDT
Description of problem:
the ATI Xpress chipsets aren't recognized by the ide kernel subsystem so dma
doesn't work and performance suffers horribly.

Version-Release number of selected component (if applicable):


How reproducible:
install on a board that has the ATI chipsset.  for example, the Intel D101Ggc
motherboard.

Steps to Reproduce:
1. install os
2. boot
3. note that dma is not enabled and performance is quite poor.
  
Actual results:
no dma for ide disks.


Expected results:
dma for ide disks

Additional info:
there is a patch at:
http://people.redhat.com/linville/kernels/rhel4/patches/jwltest-atiixp-sb450.patch

that i have tested with both i386 and x86_64 kernels and both work well.  i have
been told that this patch is slated for update 4.

i am mainly submitting this bug so that other people can find the patch more
easily than i did.
Comment 2 John W. Linville 2006-08-14 11:10:02 EDT
U4 should be out now...is this problem resolved?
Comment 3 Joe Pruett 2006-08-30 11:10:05 EDT
yes, it does fix things.  sorry it took a while to be able to reboot the machine
that needed the change.

Note You need to log in before you can comment on or make changes to this bug.